"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.isOrganizationModule = exports.isNodeModule = exports.isWorkspaceModule = void 0;
const globby_1 = __importDefault(require("globby"));
const path_1 = __importDefault(require("path"));
const loadWorkspaces = () => {
    const exists = new Set();
    try {
        const { workspaces } = require(path_1.default.join(process.cwd(), '/package.json'));
        if (workspaces && workspaces.length > 0) {
            const folders = globby_1.default.sync(workspaces, {
                cwd: process.cwd(),
                onlyDirectories: true,
                absolute: true,
                expandDirectories: false,
            });
            folders.forEach((folder) => {
                try {
                    const { name } = require(path_1.default.join(folder, 'package.json'));
                    if (name.startsWith('@')) {
                        exists.add(name);
                    }
                }
                catch (error) { }
            });
        }
    }
    catch (error) {
        console.log(error);
    }
    return exists;
};
const workspaces = loadWorkspaces();
const isWorkspaceModule = (imported) => workspaces.has(imported.moduleName);
exports.isWorkspaceModule = isWorkspaceModule;
const isNodeModule = (imported) => imported.moduleName.startsWith('node:');
exports.isNodeModule = isNodeModule;
const isOrganizationModule = (imported) => imported.moduleName.startsWith('@');
exports.isOrganizationModule = isOrganizationModule;
